#ifndef __MICROBBS_ARTICLES_H
#define __MICROBBS_ARTICLES_H

#define _XOPEN_SOURCE 500

#ifndef _BSD_SOURCE
	#define _BSD_SOURCE
#endif

#define _POSIX_C_SOURCE 200809L

#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <dirent.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <fcntl.h> 

#include "kconfig.h"

//part of libterm
#include "libterm/term.h"
#include "libterm/term_io.h"
#include "logs.h"


//part of libadt
#include "list.h"

#define WORKING_DIR "article"

int bbs_article( term_screen*, const char* );
int bbs_article_list( term_screen*, const char* );

#endif
