#include <stdio.h>
#include <stdlib.h>

#include <term.h>

int main()
{
	struct term_screen ts; memset( &ts, 0, sizeof(ts) );

	if ( term_init( &ts ) == -1 )
		printf("Some err when init\n");

	term_set_raw_mode( &ts );

	term_clr_scr( &ts );

	{
		char buf[32];
		int c;
		c = term_get_maxcol( &ts );
		snprintf( buf, 32, "MaxCol:%d\n", c );
		write( ts.ofd, buf, strlen(buf) );
	}

	{
		char buf[32];
		int r;
		r = term_get_maxrow( &ts );
		snprintf( buf, 32, "MaxRow:%d\n", r );
		write( ts.ofd, buf, strlen(buf) );
	}


	sleep(3);

	term_clr_scr( &ts );

	term_set_orig_mode( &ts );

	return 0;
}