#include "mmm.h"

#ifdef MMM_PLAIN
#endif



/*Special choice option*/
#ifdef MMM_RECORD

void* mmm_malloc(size_t size, const char *fname, int line )
{
	void *ret=NULL;
	ret = malloc( size );
	printf("alloc,0x%8p,%zu,%s,%d\n",(void *)ret,size,fname,line);
	return ret;
}


void mmm_free( void *ptr, const char *fname, int line )
{
	printf("free,0x%8p,%s,%d\n",(void *)ptr,fname,line);
	free( ptr );
}

#endif


